:root {
	/* COLORS NEW*/
	--bgr: #f0efef;
	--bgr2: #ecebeb;
	--drk: #13452D;
	--btn-gradient: linear-gradient(150deg, #13472C , #3F8B6B );
	--black: #0f0f0f;
	--white: #ffffff;
	--gray: #919191;
	--shd: #002913;
	--lig: #3F8B6B;
	
	
	/* COLORS */
	--bg: #b1dda7;
	/* --drk: #091800; */
	--main: #86ff7b;
	--white-10: #eeeeee;
	--white-8: #f5f5f5;
	--done: #009B43;
	--done-lg: #A4FFCC;

	/* RADIOS */
	--rad: 2vh;

	--rad-btn: 5vh;
	--transition: all 1s ease;
	
}

html {
	width: 100%;
    height: 100%;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}
.link {
	font-size: 1.6vh;
	font-weight: 600;
	text-decoration: underline;
	background-color: transparent;
	color: var(--black);
	border: none;
}
body {
	width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-start;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif !important;
    margin: 0;
}
section {
	width: 100%;
	height: 100%;
	box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
	background-color: var(--bgr);
	color: var(--drk);
	padding-top: 2vh;
    padding-left: 10vh;
    padding-right: 1vh;
}
h1, h2, h3, h4, h5, p, b {
	margin: 0;
}
/* Content */
.layout-container {
	display: flex;
	min-height: 100%;
	width: 100%;
}
.main-content {
	flex: 1;
    padding-right: 20px;
    padding-left: 20px;
    padding-bottom: 0px;
    padding-top: 20px;
    background: var(--bgr);
	border-radius: var(--rad);
    margin-top: 15px;
    margin-right: 15px;
    margin-bottom: 15px;
}

/* General Button */
.main-btn {
	gap: 2vh;
	display: flex;
	justify-content: center;
	align-items: center;
	border: none;
	font-size: 1.8vh;
	font-weight: 500;
	padding: 2vh 3vh;
	background: var(--btn-gradient);
	font-family: inherit;
	color: var(--white);
	border-radius: var(--rad-btn);
	opacity: 1;
}
.main-btn:hover {
	cursor: pointer;
	background: var(--drk);
	color: var(--white);
}
.close-btn {
	width: 4vh;
	border: none;
	aspect-ratio: 1/1;
	font-size: 1.4vh;
	background-color: #520606;
	font-family: inherit;
	color: #cc0000;
	border-radius: 50vh;
	transition: var(--transition);
	opacity: 1;
}
.close-btn:hover {
	cursor: pointer;
	opacity: 0.8;
}
.upload-btn {
	gap: 2vh;
	display: flex;
	justify-content: center;
	align-items: center;
	border: none;
	font-size: 1.8vh;
	font-weight: 600;
	padding: 2vh;
	background-color: rgb(192, 219, 255);
	font-family: inherit;
	color: rgb(20, 56, 102);
	border-radius: var(--rad);
	transition: var(--transition);
	aspect-ratio: 1/1;
	opacity: 1;
}
.upload-btn:hover {
	cursor: pointer;
	opacity: 0.8;
}
.download-btn {
	gap: 2vh;
	display: flex;
	justify-content: center;
	align-items: center;
	border: none;
	font-size: 1.8vh;
	font-weight: 600;
	padding: 2vh;
	background-color: rgb(192, 255, 239);
	font-family: inherit;
	color: rgb(20, 102, 57);
	border-radius: var(--rad);
	transition: var(--transition);
	aspect-ratio: 1/1;
	opacity: 1;
}
.main-btnUp{
	gap: 2vh;
	display: flex;
	max-height: 45px;
	justify-content: center;
	align-items: center;
	border: none;
	font-size: 1.8vh;
	font-weight: 600;
	padding: 2vh;
	background-color: rgb(231, 243, 178);
	font-family: inherit;
	color: rgb(20, 102, 57);
	border-radius: var(--rad);
	transition: var(--transition);
	aspect-ratio: 1/1;
	opacity: 1;
}
.download-btn:hover {
	cursor: pointer;
	opacity: 0.8;
}
.entry {
	width: 30% !important;
	padding: 1vh;
    background-color: var(--white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
	border-radius: var(--rad);
	box-sizing: border-box;
	gap: 0.5vh;
}
.entry label {
	color: var(--gray);
	font-size: 1.8vh;
	font-weight: 600;
	margin-left: 1vh;
}
.entry input {
	width: 100% !important;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}
.entry textarea {
	width: 30% !important;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}
.entry select {
	font-family: 'Montserrat', sans-serif !important;
	width: 100% !important;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}

.entry1 {
	width: 100%;
	padding: 1vh;
    background-color: var(--white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
	border-radius: var(--rad);
	box-sizing: border-box;
	gap: 0.5vh;
}
.entry1 label {
	color: var(--gray);
	font-size: 1.8vh;
	font-weight: 600;
	margin-left: 1vh;
}
.entry1 input {
	width: 100%;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}
.entry1 textarea {
	width: 100%;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}
.entry1 select {
	font-family: 'Montserrat', sans-serif !important;
	width: 100%;
	color: var(--black);
    padding: 1.5vh 3vh;
	font-family: inherit;
    font-size: 1.8vh;
    font-weight: 500;
    background-color: var(--white-10);
	border-radius: var(--rad);
	box-sizing: border-box;
	border: none;
}

input:-webkit-autofill,
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{
	font-family: inherit !important;
    font-size: 1.8vh !important;
  	font-weight: 500 !important;
  	border: 2px solid var(--drk);
  	-webkit-text-fill-color: var(--black);
  	-webkit-box-shadow: 0 0 0px 1000px var(--bg) inset;
  	transition: background-color 5000s ease-in-out 0s;
}

/********* POPUP *********/
.popup {
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	gap: 2vh;
	width: 100%;
	height: 100%;
	position: fixed;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: #424242b7;
	z-index: 3;
}
.popup-container {
	gap: 2vh;
	width: 50%;
	height: fit-content;
	margin-bottom:2vh;
	padding: 4vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	overflow-x: auto;
	align-items: flex-start;
	background-color: var(--white-10);
	border-radius: var(--rad);
	color: var(--gray);
	box-sizing: border-box;
}
.popup-container h2 {
	font-weight: 700;
	font-size: 2vh;
}
.popup-data {
	gap: 2vh;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
}
.data-evidence {
	width: 100%;
	overflow-x: auto;
	gap: 1vh;
	padding: 2vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	border-radius: var(--rad);
	background-color: var(--white);
	color: var(--gray);
	margin: 10px;
}
.evidence-row {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	box-sizing: border-box;
	gap: 10px;
}
.evidence-row b {
	font-weight: 700;
	font-size: 1.8vh;
	margin-right: 10%;
}
.evidence-row p {
	width: auto;
	padding: 0;
	aspect-ratio: inherit;
	font-weight: 600;
	font-size: 1.8vh;
}
.evidence-row button {
	height: 100%;
	padding: 1.6vh;
	aspect-ratio: inherit;
	font-size: 1.2vh;
}
.data-container {
	gap: 1vh;
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: var(--white);
    border-radius: var(--rad);
    align-items: flex-start;
    padding: 2vh;
}
.data-container b {
	width: auto;
	color: var(--main);
	font-weight: 600;
	font-size: 1vh;
	box-sizing: border-box;
}
.data-container p { 
	width: auto;
    color: var(--drk);
    font-weight: 600;
    font-size: 1.8vh;
    box-sizing: border-box;
    aspect-ratio: inherit;
	padding: 0;
}
.popup-views {
	gap: 2vh;
	width: 100%;
	height: 100%;
	display: block;
/* 	justify-content: center; */
	align-items: center;
	box-sizing: border-box;
}
.view {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-start;
	box-sizing: border-box;
}
/* .right {
	gap: 2vh;
	width: 30%;
	height: 100%;
	background-color: var(--white);
	border-radius: var(--rad);
	padding: 2vh;
} */
.routes {
	gap: 2vh;
	margin: 5vh 0vh;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
}
.route {
	width: 100%;
	border: none;
	font-size: 1.8vh;
	font-weight: 600;
	padding: 1vh 2vh;
	background-color: inherit;
	border-radius: var(--rad-btn);
	box-sizing: border-box;
	color: var(--gray);
}
.active {
	background-color: var(--drk);
	color: var(--white);
}
.action {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
}
/* .left {
	width: 70%;
	height: 100%;
} */
.space {
	gap: 2vh;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
}
.space .entry {
	width: 48%;
}
.observations-space {
	gap: 2vh;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
}
/* TABLE */
table {
	width: 100%;
	padding: 2vh;
}
thead {
	font-size: 14px;
    text-align: center;
}
table.dataTable {
	width: 100% !important;
	margin: 0 !important;
}
.table td, .table th {
    vertical-align: middle;
}
.card-table {
	width: 100%;
	background-color: var(--white);
	border-radius: var(--rad);
	box-shadow: none;
}
.dataTables_wrapper {
	gap: 2vh;
    width: 100%;
    padding: 2vh;
    display: flex;
    flex-direction: column;
	box-sizing: border-box;
	margin: 0 !important;
}
.table-content {
	width: 100%;
}
.table-content th {
	width: auto;
	text-align: center;
}
.table-content td {
	text-align: center;
	font-size: 1.8vh;
	font-weight: 500;
}
.table-content td button {
	font-weight: 600;
	text-decoration: underline;
	background-color: transparent;
	color: var(--black);
	border: none;
}
.custome-table {
	gap: 3vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    box-sizing: border-box;
}
.row {
	display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: 0;
    margin-left: 0;	
}
.table-header {
	width: 100%;
    font-size: 1.4vh;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    box-sizing: border-box;
    color: var(--drk);
}
.table-btn {
	padding: 0;
}
.table-btn .btn-group {
	gap: 2vh;
	display: flex;
	justify-content: center;
	align-items: center;
}
.table-btn .btn-group button { 
	border-color: var(--drk);
	font-size: 1.3vh;
	font-weight: 600;
	border-radius: var(--rad) !important;
	background-color: var(--white);
	color: var(--drk);
	padding: 1vh 2vh;
}
.table-btn .btn-group button:hover { 
	cursor: pointer;
	background-color: var(--drk);
	color: var(--white);
}
.table-search {
	padding: 0;
}
.dataTables_filter {
	height: 100%;
	box-sizing: border-box;
	padding: 0;
}
.dataTables_filter label {
	height: 100%;
	box-sizing: border-box;
	font-size: 1.8vh;
	font-weight: 600 !important;
	margin: 0;
}
.dataTables_filter input {
	height: 100%;
	border-color: var(--drk);
	border-radius: var(--rad);
	font-size: 1.8vh;
	font-weight: 600 !important;
	box-sizing: border-box;
	padding: 1vh 3vh;
}
.form-control:focus {
	border-color: var(--drk);
	box-shadow: 0 0 0 .2rem #1f774c62;
}
.table-title {
	width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
}
.table-title h2 {
	color: var(--shd);
	font-weight: 600;
	font-size: 3vh;
}
.table-footer {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
}
.table-footer ul {
	display: flex;
	justify-content: center !important;
	align-items: center;
}
.pagination {
	gap: 2vh;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 1.8vh;
	font-weight: 500;
}
.pagination li {
	border-radius: var(--rad);
}
.page-item.disabled .page-link {
	background-color: var(--white);
	color: var(--gray);
	border: none;
}
.page-link {
	color: var(--drk);
	border-radius: var(--rad);
}
.page-link:hover {
	color: var(--lig);
}
.page-item.active .page-link {
	font-weight: 600;
	background-color: var(--drk);
	border-radius: var(--rad);
	color: var(--white);
	border: none;
}
.fulltable {
	padding: 2vh;
	border: 1px solid var(--white-10);
	border-radius: var(--rad);
}
.settings {
	height: 73px;
	float: left;
	background: blue;
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	width: 250px;
	margin: 0px;
	text-align: center;
	font-size: 20px;
	font-family: 'Strait', sans-serif;
}

 @keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to { 
        transform: rotate(360deg);
    }
}
 

 @-webkit-keyframes rotate {
    from {
        -webkit-transform: rotate(0deg);
    }
    to { 
        -webkit-transform: rotate(360deg);
    }
}

.container-loader {
	display: none;
	width: 100%;
	height: 100%;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	position: absolute;
}
.load {
	width: 5vh;
    height: 5vh;
    border: solid 5px var(--lig);
    border-radius: 50%;
    border-right-color: transparent;
    border-bottom-color: transparent;
    -webkit-transition: all 0.5s ease-in;
    -webkit-animation-name: rotate;
    -webkit-animation-duration: 1.0s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    transition: all 0.5s ease-in;
    animation-name: rotate;
    animation-duration: 1.0s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
	z-index: 4;
}

input[type=file]::file-selector-button {
	margin-right: 20px;
	border: none;
	font-size: 1.2vh;
	background: var(--white);
	padding: 1vh 2vh;
	color: var(--gray);
	cursor: pointer;
	border-radius: var(--rad);
	transition: var(--transition);
  }
  
  input[type=file]::file-selector-button:hover {
	background: var(--white-10);
  }
/* Nuevo form */
.form-structure {
	display: flex;
	min-height: 80%;
	height: auto;
	width: 80%;
}
.form-menu {
	width: 30%;
	background-color: var(--bgr2);
	border-radius: 2vh 0 0 2vh;
	padding: 2vh;
}
.form-menu h2{
	font-size: 1.5rem;
	color: var(--drk);
	font-weight: 600;
}
.form-content {
	width: 100%;
	background-color: var(--white);
	border-radius: 0 2vh 2vh 0;
	padding: 2vh;
}
.space-form {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}
@media (max-width: 1024px) {
  .space-form {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 800px) {
  .space-form {
    grid-template-columns: 1fr;
  }
}
.action {
 height: 10%;
}
.popup-views {
	height: 90%;
}
.form-up {
	height: 100%;
}